function Phi_r=R0eigenfunction_A(flag_model)

%  Copyright (c) 2020-2021 Dimitri Breda.
%  R0eigenfunction_A is distributed under the terms of the MIT license.
%
%  If you use this software for a scientific publication,
%  please cite the following publications:
%
%  [1] D. Breda, F. Florian, J. Ripoll, R. Vermiglio,Efficient numerical computation
%      of the basic reproduction number for structured populations, Journal of Computational
%      and Applied Mathematics, https://doi.org/10.1016/j.cam.2020.113165.
%
%  [2] D. Breda, T. Kuniya, J. Ripoll, R. Vermiglio, Collocation of Next-Generation 
%      Operators for Computing the Basic Reproduction Number of Structured Populations. 
%      J Sci Comput, https://doi.org/10.1007/s10915-020-01339-1.


l=1;
c=@(x)l^2-x.^2;
dtilde=2;
d=@(x)dtilde*(2+sin(1*pi*x));
% d=@(x)dtilde*(x.*(l-x)*4/(l^2)+1);
if flag_model==1
    fun=@(x)exp(integral(@(s)c(s)./d(s),0,x,'AbsTol',eps));
elseif flag_model==2 %other models
    mutilde=1;
    mu=@(x)mutilde*x/l;
    betatilde=3;
    beta=@(x)betatilde*((x.^2).*(l-x)*27/(2*l^3)+1);
    fun=@(x)(beta(x)+mu(x)).*...
        exp(integral(@(s)c(s)./d(s),0,x,'AbsTol',eps));
end
xx=linspace(0,l,1000)';
Phi_r=zeros(size(xx));
for i=1:length(xx)
    Phi_r(i)=fun(xx(i));
end
plot(xx,Phi_r,'-r');